apiVersion: batch/v1
kind: Job
metadata:
  name: theodolite
spec:
  template:
    spec:
      containers:
      - name: theodolite
        image: bvonheid/theodolite:latest
        # imagePullPolicy: Never # Used to pull "own" local image
        env:
        - name: UC
          value: "1"
        - name: LOADS
          value: "13206, 19635"
        - name: INSTANCES
          value: "1, 2"
        - name: DURATION
          value: "3"
        - name: PARTITIONS
          value: "30"
        # - name: COMMIT_MS
        #   value: ""
        # - name: SEARCH_STRATEGY
        #   value: ""
        # - name: CPU_LIMIT
        #   value: ""
        # - name: MEMORY_LIMIT
        #   value: ""
        - name: PROMETHEUS_BASE_URL
          value: "http://prometheus-operated:9090"
        # - name: NAMESPACE
        #   value: "default"
        - name: PYTHONUNBUFFERED
          value: "1"
      restartPolicy: Never
  backoffLimit: 4

# ---
# apiVersion: v1
# kind: ServiceAccount
# metadata:
#   name: theodolite
# ---
# apiVersion: rbac.authorization.k8s.io/v1
# kind: Role
# metadata:
#   name: modify-pods
# rules:
#   - apiGroups: [""]
#     resources:
#       - pods
#     verbs:
#       - get
#       - list
#       - delete
# ---
# apiVersion: rbac.authorization.k8s.io/v1
# kind: RoleBinding
# metadata:
#   name: modify-pods-to-sa
# subjects:
#   - kind: ServiceAccount
#     name: theodolite
# roleRef:
#   kind: Role
#   name: modify-pods
#   apiGroup: rbac.authorization.k8s.io
